libcmml: CMML_Clip Struct Reference

# CMML_Clip Struct Reference

`#include <cmml.h>`

## Data Fields
char * | clip_id
char * | clip_class
char * | title
char * | lang
char * | dir
char * | track
CMML_Time * | start_time
CMML_Time * | end_time
CMML_List * | meta
char * | anchor_id
char * | anchor_class
char * | anchor_title
char * | anchor_lang
char * | anchor_dir
char * | anchor_href
char * | anchor_text
char * | img_id
char * | img_class
char * | img_title
char * | img_lang
char * | img_dir
char * | img_src
char * | img_alt
char * | desc_id
char * | desc_class
char * | desc_title
char * | desc_lang
char * | desc_dir
char * | desc_text

## Detailed Description

CMML_Clip: a clip element as presented in the CMML document.

Examples:

  cmml-seek-clip.c, cmml-seek-offset.c, cmml-seek-utc.c, cmml-uri-file.c, cmml-validate.c, and cmml-write.c.

## Field Documentation

char* CMML_Clip::clip_id

id attribute of clip

char* CMML_Clip::clip_class

class attribute of clip

char* CMML_Clip::title

title attribute of clip

char* CMML_Clip::lang

language attribute of desc element

char* CMML_Clip::dir

directionality of lang

char* CMML_Clip::track

track attribute of clip

CMML_Time* CMML_Clip::start_time

start time of this clip

Referenced by read_clip().

CMML_Time* CMML_Clip::end_time

end time of this clip

Referenced by read_clip().

CMML_List* CMML_Clip::meta

list of meta elements

char* CMML_Clip::anchor_id

id attribute of anchor

char* CMML_Clip::anchor_class

class attribute of clip

char* CMML_Clip::anchor_title

title attribute of clip

char* CMML_Clip::anchor_lang

language of anchor

char* CMML_Clip::anchor_dir

directionality of lang

char* CMML_Clip::anchor_href

href out of clip

Examples:
  cmml-write.c.

Referenced by main().

char* CMML_Clip::anchor_text

anchor text

Examples:
  cmml-write.c.

Referenced by main().

char* CMML_Clip::img_id

id attribute of image

char* CMML_Clip::img_class

class attribute of image

char* CMML_Clip::img_title

title attribute of image

char* CMML_Clip::img_lang

language of img

char* CMML_Clip::img_dir

directionality of lang

char* CMML_Clip::img_src

keyframe image of clip

char* CMML_Clip::img_alt

alternate text for image

char* CMML_Clip::desc_id

id attribute of desc

char* CMML_Clip::desc_class

class attribute of desc

char* CMML_Clip::desc_title

title attribute of desc

char* CMML_Clip::desc_lang

language attribute of desc element

char* CMML_Clip::desc_dir

directionality of lang

char* CMML_Clip::desc_text

the description itself

Examples:
  cmml-seek-clip.c, cmml-seek-offset.c, cmml-seek-utc.c, cmml-uri-file.c, and cmml-write.c.

Referenced by main().

The documentation for this struct was generated from the following file:

- cmml.h